"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InfinityStaged = void 0;

var _react = _interopRequireWildcard(require("react"));

var _useArrangeAfterResize = require("./useArrangeAfterResize");

var _cssVars = require("./css-vars");

var _StagedDraggable = require("./StagedDraggable");

var _useAutoSlide = require("./useAutoSlide");

var _useInfinitySlides = require("./useInfinitySlides");

var _useInfinityPaging = require("./useInfinityPaging");

var _util = require("./util");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const InfinityStaged = (0, _react.forwardRef)(({
  children,
  amount: _amount = 1,
  hideArrows,
  autoSlide,
  noDrag,
  animation,
  onSwipe,
  className
}, forwardedRef) => {
  const ref = (0, _react.useRef)(null);
  const stagedRef = (0, _react.useRef)(null);
  (0, _useArrangeAfterResize.useArrangeAfterResize)(ref);
  (0, _cssVars.useInitCssVars)(ref, _amount, animation);
  const [{
    pos,
    paged
  }, prev, next] = (0, _useInfinityPaging.useInfinityPaging)(ref, children.length, _amount, animation === 'none', onSwipe); // useSwipeListener(pos, onSwipe);

  const autoSlider = (0, _useAutoSlide.useAutoSlide)(next, autoSlide);
  const slides = (0, _useInfinitySlides.useInfinitySlides)(children, _amount, pos, paged);
  (0, _react.useImperativeHandle)(forwardedRef, () => ({
    prev,
    next
  }), []); // eslint-disable-line react-hooks/exhaustive-deps

  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _util.classNames)('staged-outer', className),
    ref: ref
  }, hideArrows || /*#__PURE__*/_react.default.createElement("div", {
    className: "staged-left-nav",
    onClick: prev
  }), noDrag ? /*#__PURE__*/_react.default.createElement("div", {
    className: "staged",
    ref: stagedRef
  }, slides) : /*#__PURE__*/_react.default.createElement(_StagedDraggable.StagedDraggable, {
    outerRef: ref,
    forwardRef: stagedRef,
    prev: prev,
    next: next,
    slides: slides,
    autoSlider: autoSlider
  }), hideArrows || /*#__PURE__*/_react.default.createElement("div", {
    className: "staged-right-nav",
    onClick: next
  }));
});
exports.InfinityStaged = InfinityStaged;