"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StagedDraggable = void 0;

var _react = _interopRequireDefault(require("react"));

var _useDragging = require("./useDragging");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const StagedDraggable = ({
  outerRef,
  forwardRef,
  slides,
  prev,
  next,
  autoSlider,
  isLeft,
  isRight
}) => {
  const [onEnter, onMove, onLeave] = (0, _useDragging.useDragging)(outerRef, forwardRef, prev, next, autoSlider, isLeft, isRight);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "staged",
    ref: forwardRef,
    onMouseDown: onEnter,
    onTouchStart: onEnter,
    onTouchMove: onMove,
    onMouseMove: onMove,
    onTouchEnd: onLeave,
    onMouseUp: onLeave,
    onMouseLeave: onLeave
  }, slides);
};

exports.StagedDraggable = StagedDraggable;