"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useArrangeAfterResize = void 0;

var _react = require("react");

var _cssVars = require("./css-vars");

const useArrangeAfterResize = ref => {
  (0, _react.useEffect)(() => {
    const rearrangeAfterResize = new ResizeObserver(() => _cssVars.CssVars.finish(ref));
    rearrangeAfterResize.observe(ref.current);
    return rearrangeAfterResize.disconnect;
  }, []); // eslint-disable-line react-hooks/exhaustive-deps
};

exports.useArrangeAfterResize = useArrangeAfterResize;