"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useInfinityPaging = void 0;

var _react = require("react");

var _cssVars = require("./css-vars");

var _util = require("./util");

var _useNopWhilePending = require("./useNopWhilePending");

const useInfinityPaging = (ref, length, amount, noAnimation, onSwipe) => {
  const [state, setState] = (0, _react.useState)({
    pos: 0,
    paged: 0
  });
  const page = (0, _useNopWhilePending.useNopWhilePending)(factor => {
    const {
      pos,
      paged
    } = state;
    const nextPos = (0, _util.modulo)(pos + factor * amount, length);
    onSwipe == null ? void 0 : onSwipe({
      pos: nextPos,
      diff: nextPos - pos,
      direction: factor
    });
    return _cssVars.CssVars.transition(ref, factor, noAnimation).then(() => setState({
      pos: nextPos,
      paged: paged + factor
    }));
  });
  const prev = (0, _react.useCallback)(() => page(-1), []); // eslint-disable-line react-hooks/exhaustive-deps

  const next = (0, _react.useCallback)(() => page(1), []); // eslint-disable-line react-hooks/exhaustive-deps

  return [state, prev, next];
};

exports.useInfinityPaging = useInfinityPaging;