"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNopWhilePending = void 0;

var _react = require("react");

const useNopWhilePending = cb => {
  const pending = (0, _react.useRef)(false);
  const cbRef = (0, _react.useRef)(cb);
  cbRef.current = cb;
  return (0, _react.useCallback)(arg => {
    if (!pending.current) {
      pending.current = true;
      cbRef.current(arg).then(() => pending.current = false);
    }
  }, []);
};

exports.useNopWhilePending = useNopWhilePending;