"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStopDragClick = void 0;

var _react = require("react");

const useStopDragClick = ref => {
  const stopClick = (0, _react.useRef)(false);
  (0, _react.useEffect)(() => {
    const {
      current
    } = ref;

    const stopDraggedClick = e => {
      if (stopClick.current) e.stopPropagation();
    };

    if (current) {
      current.addEventListener('click', stopDraggedClick, true);
      return () => current.removeEventListener('click', stopDraggedClick, true);
    }
  }, []); // eslint-disable-line react-hooks/exhaustive-deps

  return stopClick;
};

exports.useStopDragClick = useStopDragClick;