import React from 'react';
import { useDragging } from './useDragging';
export const StagedDraggable = ({
  outerRef,
  forwardRef,
  slides,
  prev,
  next,
  autoSlider,
  isLeft,
  isRight
}) => {
  const [onEnter, onMove, onLeave] = useDragging(outerRef, forwardRef, prev, next, autoSlider, isLeft, isRight);
  return /*#__PURE__*/React.createElement("div", {
    className: "staged",
    ref: forwardRef,
    onMouseDown: onEnter,
    onTouchStart: onEnter,
    onTouchMove: onMove,
    onMouseMove: onMove,
    onTouchEnd: onLeave,
    onMouseUp: onLeave,
    onMouseLeave: onLeave
  }, slides);
};