import { useCallback, useRef } from 'react';
export const useNopWhilePending = cb => {
  const pending = useRef(false);
  const cbRef = useRef(cb);
  cbRef.current = cb;
  return useCallback(arg => {
    if (!pending.current) {
      pending.current = true;
      cbRef.current(arg).then(() => pending.current = false);
    }
  }, []);
};