import { useEffect, useRef } from 'react';
export const useStopDragClick = ref => {
  const stopClick = useRef(false);
  useEffect(() => {
    const {
      current
    } = ref;

    const stopDraggedClick = e => {
      if (stopClick.current) e.stopPropagation();
    };

    if (current) {
      current.addEventListener('click', stopDraggedClick, true);
      return () => current.removeEventListener('click', stopDraggedClick, true);
    }
  }, []); // eslint-disable-line react-hooks/exhaustive-deps

  return stopClick;
};